org.mariadb.jdbc.internal.queryresults

## Class CmdInformationMultiple

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.CmdInformationMultiple

All Implemented Interfaces:
  CmdInformation

    public class CmdInformationMultiple
    extends Object
    implements CmdInformation

### Field Summary

### Fields inherited from interface org.mariadb.jdbc.internal.queryresults.CmdInformation

`RESULT_SET_VALUE`

### Constructor Summary

Constructors
Constructor and Description
`CmdInformationMultiple(int expectedSize, int autoIncrement)` Object containing update / insert ids, optimized for only multiple result.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addErrorStat()`
`void` `addResultSetStat()`
`void` `addSuccessStat(int updateCount, long insertId)`
`ResultSet` `getBatchGeneratedKeys(Protocol protocol)`
`int` `getCurrentStatNumber()`
`ResultSet` `getGeneratedKeys(Protocol protocol)` Return GeneratedKeys containing insert ids.
`int[]` `getRewriteUpdateCounts()` Will return an array filled with Statement.EXECUTE_FAILED if any error occur, or Statement.SUCCESS_NO_INFO, if execution succeed.
`int` `getUpdateCount()`
`int[]` `getUpdateCounts()`
`boolean` `isCurrentUpdateCount()`
`boolean` `moreResults()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmdInformationMultiple

    public CmdInformationMultiple(int expectedSize,
                                  int autoIncrement)

Object containing update / insert ids, optimized for only multiple result.

Parameters:
  `expectedSize` - expected batch size.
  `autoIncrement` - connection auto increment value.

### Method Detail

#### addErrorStat

    public void addErrorStat()

Specified by:
  `addErrorStat` in interface `CmdInformation`

#### addResultSetStat

    public void addResultSetStat()

Specified by:
  `addResultSetStat` in interface `CmdInformation`

#### addSuccessStat

    public void addSuccessStat(int updateCount,
                               long insertId)

Specified by:
  `addSuccessStat` in interface `CmdInformation`

#### getUpdateCounts

    public int[] getUpdateCounts()

Specified by:
  `getUpdateCounts` in interface `CmdInformation`

#### getRewriteUpdateCounts

    public int[] getRewriteUpdateCounts()

Will return an array filled with Statement.EXECUTE_FAILED if any error occur, or Statement.SUCCESS_NO_INFO, if execution succeed.

Specified by:
  `getRewriteUpdateCounts` in interface `CmdInformation`
Returns:
  update count array.

#### getUpdateCount

    public int getUpdateCount()

Specified by:
  `getUpdateCount` in interface `CmdInformation`

#### getBatchGeneratedKeys

    public ResultSet getBatchGeneratedKeys(Protocol protocol)

Specified by:
  `getBatchGeneratedKeys` in interface `CmdInformation`

#### getGeneratedKeys

    public ResultSet getGeneratedKeys(Protocol protocol)

Return GeneratedKeys containing insert ids. Insert ids are calculated using autoincrement value.

Specified by:
  `getGeneratedKeys` in interface `CmdInformation`
Parameters:
  `protocol` - current protocol
Returns:
  a resultSet with insert ids.

#### getCurrentStatNumber

    public int getCurrentStatNumber()

Specified by:
  `getCurrentStatNumber` in interface `CmdInformation`

#### moreResults

    public boolean moreResults()

Specified by:
  `moreResults` in interface `CmdInformation`

#### isCurrentUpdateCount

    public boolean isCurrentUpdateCount()

Specified by:
  `isCurrentUpdateCount` in interface `CmdInformation`